Bug 120009 - (ACPI)Kernel panic booting x86-64 core1 on Tyan S2885
(ACPI)Kernel panic booting x86-64 core1 on Tyan S2885
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-04 23:31 EDT by Darren Frith
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Darren Frith 2004-04-04 23:31:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)

Description of problem:
Every time I boot from the disc it fails with a kernel panic fairly
early. Standard distro downloaded from the ftp site.

System info:
Tyan S2885
Dual Opteron 242 (1.6 Ghz)
2Ghz DDR333
Diamond Data 52x CDRW
ACPI turned off
ECC turned on (also tried with off)

Redhat 9.0 installs and runs fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. insert Fedora core1 x86-64 disc1
2. press F8 to bring up boot menu during POST
3. Select CD drive

Actual Results:  Kernel panic

Expected Results:  complete boot sequence

Additional info:
Comment 1 Darren Frith 2004-04-05 06:20:37 EDT
Seems that kernel panic is in calculate_acpi_pci_delay_cost() (or similar)

Setting "ACPI aware OS" to "Enabled" in the BIOS stops the kernel panic.

Still a bug but at least there is a workaround.
Comment 2 Darren Frith 2004-04-05 19:58:35 EDT
correct function name is acpi_pci_link_calc_penalties().
Comment 3 Alan Cox 2004-05-03 09:53:49 EDT
Confirmed not present in FC2test3
Comment 4 David Lawrence 2004-09-29 16:16:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.